// Copyright (C) 2009 by Florent Lamiraux.
//
// This file is part of the hppwalkfootplanner.
//
// hppwalkfootplanner is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// hppwalkfootplanner is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with hppwalkfootplanner.  If not, see <http://www.gnu.org/licenses/>.

#include "common.hh"
#include "planner-test.hh"

int run_test ();

int run_test ()
{
  std::cout << "Running simple-test" << std::endl;

  PlannerTest test;

  if (test.getKineoLicense() != 0) {
    return -1;
  }

  if (test.createEnvAndRobot() != 0) {
    return -1;
  }

  return test.testDistanceComputation();
}

GENERATE_TEST ()
